# Uses of Interface
org.eclipse.ecf.filetransfer.service.ISendFileTransfer

Packages that use ISendFileTransfer
Package
Description
org.eclipse.ecf.filetransfer.service
org.eclipse.ecf.provider.filetransfer.outgoing

## Uses of ISendFileTransfer in org.eclipse.ecf.filetransfer.service

Methods in org.eclipse.ecf.filetransfer.service that return ISendFileTransfer
Modifier and Type
Method
Description
`ISendFileTransfer`
ISendFileTransferFactory.`newInstance()`
Get new instance of ISendFileTransfer.

## Uses of ISendFileTransfer in org.eclipse.ecf.provider.filetransfer.outgoing

Classes in org.eclipse.ecf.provider.filetransfer.outgoing that implement ISendFileTransfer
Modifier and Type
Class
Description
`class`
`AbstractOutgoingFileTransfer`
`class`
`AbstractUrlConnectionOutgoingFileTransfer`
`class`
`LocalFileOutgoingFileTransfer`
`class`
`MultiProtocolOutgoingAdapter`
Multi protocol handler for outgoing file transfer.